#!/bin/bash
mkdir -p /tmp/Nowatel
UsersInSystem=()
k=0
for i in `awk -F'[/:]' '{if ($3 >= 1000 && $3 != 65534) print $1}' /etc/passwd`
do
	UsersInSystem[k]=$i
	k=$((k+1))
done

UsersNumber=${#UsersInSystem[*]}
i=0
while [ $i -lt $UsersNumber ]
do
	echo "$[i+1] ${UsersInSystem[$i]} off" >> /tmp/Nowatel/UserCheckList.temp
	i=$[i+1]
done
mkdir -p /etc/nowatel/configs
dialog  --nocancel --ascii-lines --radiolist "Select User:" 20 40 24 \
$(cat /tmp/Nowatel/UserCheckList.temp) 2> /tmp/Nowatel/UserChosen.temp

UserChosen=`cat /tmp/Nowatel/UserChosen.temp`
UserChosen=`cat /tmp/Nowatel/UserCheckList.temp | grep "^$UserChosen" | awk '{print $2}'`

echo $UserChosen > /etc/nowatel/configs/UserChosen.temp

chown -R $UserChosen /usr/local/nowatel/
chown -R $UserChosen /etc/nowatel/
